<?php

namespace EasyContent\WordPress\Forms\Constraints;

use EasyContent\WordPress\Forms\Validators\WordPressUserExistsValidator;
use Symfony\Component\Validator\Constraint;

/**
 * @Annotation
 */
class WordPressUserExists extends Constraint
{
    public $message;


    public function __construct($options = null)
    {
        parent::__construct($options);

        $this->message = __( "User doesn't exist", EASYCONTENT_TXTDOMAIN );
    }


    public function validatedBy()
    {
        return WordPressUserExistsValidator::class;
    }
}
