<?php

namespace EasyContent\WordPress\Rest\Actions;

class BaseAction
{
    protected $methods = ['GET'];


    public function getMethodsString()
    {
        return implode( ', ', $this->methods );
    }


    public function run(\WP_REST_Request $request)
    {
    }


    public function checkAccess()
    {
        return true;
    }


    public function getArgumentsConfig()
    {
        return [];
    }
}
