<?php

use Phinx\Migration\AbstractMigration;
use EasyContent\WordPress\Db\Models\Article;

class ArticleTitlesTypeFix extends AbstractMigration
{
    public function change()
    {
        $this->table( Article::tableName() )
            ->changeColumn( 'topic_name', 'text', [
                'null' => false
            ] )
            ->changeColumn('title', 'text', [
                'null' => true,
                'default' => null
            ])
            ->update();
    }
}
