<?php

namespace EasyContent\WordPress\Metaboxes;

class BaseMetaBox
{
    protected $id;
    protected $title;
    protected $screen = null;
    protected $context = 'advanced';
    protected $priority = 'default';
    protected $callbackArguments = null;


    public function __construct()
    {
        if ( ! is_string( $this->id ) || ! $this->id || ! is_string( $this->title ) || ! $this->title ) {
            return;
        }

        add_meta_box( $this->id, $this->title, [$this, 'render'], $this->screen, $this->context, $this->priority, $this->callbackArguments );
    }


    public function render($post, $params)
    {
    }
}
